## Apache Zeta Components Manual :: Docs For Class ezcConsoleTableCell

### ConsoleTools::ezcConsoleTableCell

### Class ezcConsoleTableCell

Representation of a table cell.

An object of this class represents a table cell. A cell has a certain content, may apply a format to this data, align the data in the cell and so on.

This class stores the cells for the ezcConsoleTable class.

Source for this file: /ConsoleTools/src/table/cell.php

Version: | //autogen//

### Properties

int | read/write | `$align` Alignment of the text inside the cell. Must be one of ezcConsoleTable::ALIGN_ constants. See ezcConsoleTable::ALIGN_LEFT, ezcConsoleTable::ALIGN_RIGHT and ezcConsoleTable::ALIGN_CENTER.
string | read/write | `$content` Text displayed in the cell.
string | read/write | `$format` Format applied to the displayed text.

### Member Variables

protected array(string=>mixed) | `$properties` Container to hold the properties

### Method Summary

public void | `__construct( [ $content = ''] , [ $format = 'default'] , [ $align = ezcConsoleTable::ALIGN_DEFAULT] )` Create a new ezcConsoleProgressbarCell.

### Methods

#### __construct

void __construct( [string $content = ''] , [string $format = 'default'] , [mixed $align = ezcConsoleTable::ALIGN_DEFAULT] )

Create a new ezcConsoleProgressbarCell.

Creates a new ezcConsoleProgressbarCell. You can either submit the cell data through the constructor or set them as properties.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$content` | string | Content of the cell.
`$format` | string | Format to display the cell with.
`$align` | mixed | Alignment of the content in the cell.

Documentation generated by phpDocumentor 1.4.3